<template>
  <div class="px-0 container text-left card-3" >
    <v-container bg fill-height grid-list-md text-xs-center class="maxwidth colore">
     <v-layout row wrap align-center>
      <v-flex xs2 sm2 md2 v-if="current">
        <!--- <router-link :to="$i18nRoute({ name: current, params: passedparams })"> -->
    <a href="javascript:history.go(-1);">
          <img class="text-xs-center arrow" src='../assets/Icons/Black/Close@2x.png'/>
    </a>
      </v-flex>
      <v-flex xs2 sm2 md2 v-else>
        <a href="javascript:history.go(-1);">
          <img v-if="back" class="text-xs-center arrow" src='../assets/Icons/Black/Back@2x.png'/>
          <img v-else class="text-xs-center arrow" src='../assets/Icons/Black/Close@2x.png'/>
        </a>
      </v-flex>
      <v-flex xs10 sm10 md10>
        <h2 class="pl-3 text-xs-left">{{ titolosezione }}</h2>
      </v-flex>      
      </v-layout>
    </v-container>
  </div>
</template>


<style scoped>
.colore{
  background-color: white;
}
.px-0{
  padding:0px!important;
}
.nowrap{
  white-space: nowrap;
}
</style>

<script>

export default {
  name: 'intestazione',
  props: {
    titolosezione: String,
    back: Boolean,
    historyback: Boolean,
    parent: String,
    current: String,
    passedparams: Object
  },
  data () {
    return {
    }
  }
}
</script>